--- title: "Riskware alert delete request" slug: "riskware-alert-delete-request" tags: ["Reference", "Email Security - Cloud", "Customer", "Cloud Security"] updated: 2026-09-04T19:23:14Z published: 2026-09-04T19:23:14Z canonical: "docs.trellix.com/riskware-alert-delete-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Riskware alert delete request Takes an Alert ID in the API URL and deletes it. Applicable for inbound riskware alerts only. `DELETE https://<etp-instance>/api/v1/alerts/riskware/<id>` **Required headers:** `Content-Type: "application/json"`—Content type of the request body. If the domain you use you use to access the Trellix UI ends in `fireeye.com`: `x-fireeye-api-key: <key>`—Specifies your personal API key. If the domain you use to access the Trellix UI ends in `trellix.com`: `authorization: bearer <access_token>`—Specifies your personal access token. > [!WARNING] > Important > > Use `authorization: bearer <access_token>` in place of `x-fireeye-api-key: <key>` in the following examples. ### Example request `DELETE https://<etp-instance>/api/v1/alerts/riskware/3yPyqjS-1126838-71b108d5-9520-4312-b9ea-e302f43720c2` ### Success response ``` {    "data": {        "type": "riskware alerts",        "operation": "delete",        "successful_ids": [            "3yPyqjS-1126838-71b108d5-9520-4312-b9ea-e302f43720c2"        ]    },    "meta": {        "copyright": "Copyright © 2023 Musarubra US LLC"    } } ``` ### Failure response ``` {    "data": {        "type": "riskware alerts",        "operation": "delete",        "failed_ids": [            "3yPzgpB-1126838-06f35e4c-0db8-41e7-afa0-0afc5825f59f"        ]    },    "meta": {        "copyright": "Copyright © 2023 Musarubra US LLC"    } } ``` ### cURL code sample: riskware alert delete ``` curl -XDELETE https:///alerts/riskware/3yPyqjS-1126838-71b108d5-9520-4312-b9ea-e302f43720c2 -H "Content-Type: application/json" -H 'x-fireeye-api-key: ' -d '{}' ``` This cURL sample includes the following options: - `-XDELETE`—This option changes the HTTP method to DELETE. - `https://<APIURI>/alerts/riskware`—The riskware alert delete API request URL. Replace <APIURI> with the address of your Email Security — Cloud instance. - `--header "Content-Type: application/json"`—This header specifies that the server's response body is expected to be in JSON format. - `--header 'x-fireeye-api-key: xxxxxxxxxxxxxxx'`—This header specifies your personal API key. - `-d '{<data>}'`—The request parameters.